:root {
    --navbar-min-height: 80px;
}

body {
    overflow: hidden;
}

nav {
    min-height: var(--navbar-min-height);
}

.default-container {
    height: calc(100vh - var(--navbar-min-height));
    overflow: auto;
    padding-top: 1rem;
}

.card {
    margin: 0 auto;
    margin-bottom: 1rem;
    max-width: 600px;
    min-height: 720px;
}

.card-body {
    position: absolute;
    bottom: 0;
    width: 100%;
}

.card img {
    display: block;
    max-width: calc(100% - 2.5rem);
    max-height: 255px;
    width: auto;
    height: auto;
    margin: auto;
    padding-top: 1.25rem;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translate(-50%, 0);
}



.modal-dialog {
    max-height: calc(100vh - 56px);
}

.modal-content {
    height: calc(100vh - 56px);
}

.modal-body {
    overflow: auto;
    height: inherit;
    overflow-x: hidden;
}

.modal-body>code {
    white-space: pre-line;
}



/* // clipboard.js
//
// JS-based `Copy` buttons for code snippets. */

.bd-clipboard {
    position: sticky;
    display: block;
    float: right;
    top: 0;
    right: 0;
}

.bd-clipboard+.highlight {
    margin-top: 0;
}

.btn-clipboard {
    position: absolute;
    top: 0;
    right: .5rem;
    z-index: 10;
    display: block;
    padding: .25rem .5rem;
    color: #818a91;
    background-color: transparent;
    border: 0;
    border-radius: 4px;
    font-size: 75%;
}

.btn-clipboard:hover {
    color: white;
    background-color: #027de7;
}

#toast-container>div {
    box-shadow: unset !important;
}

#toast-container>div:hover {
    box-shadow: 0 0 12px #999 !important;
    opacity: 0.8 !important;
}

[data-action="delete-image"] {
    position: absolute;
    top: 1.25rem;
    right: 1.25rem;
    z-index: 1;
    cursor: pointer;
    opacity: 1;
}

[data-action="delete-image"]:hover {
    /* position: absolute;
    top: 1rem;
    right: 1rem; */
    opacity: 1;
    color: var(--red);
}

.ondrag {
    border-color: "#80bdff";
    outline: 0;
    box-shadow: 0 0 0 0.2rem rgb(0 123 255 / 25%);
}

body::-webkit-scrollbar,
body>div::-webkit-scrollbar,
.modal-body::-webkit-scrollbar {
    width: 12px;
}

body::-webkit-scrollbar-track,
body>div::-webkit-scrollbar-track,
.modal-body::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px #B2BBC4;
    border-radius: 10px;
}

body::-webkit-scrollbar-thumb,
body>div::-webkit-scrollbar-thumb,
.modal-body::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #B2BBC4;
    box-shadow: inset 0 0 6px #B2BBC4;
}

#body::-webkit-scrollbar-thumb:window-inactive,
body>div::-webkit-scrollbar-thumb:window-inactive,
.modal-body::-webkit-scrollbar-thumb:window-inactive {
    background: #B2BBC4;
}

.border-danger {
    box-shadow: 0 0 0 0.2rem #dc35359c;
}

.border-success {
    box-shadow: 0 0 0 0.2rem rgb(76 197 43 / 70%);
}

.hidden {
    display: none;
}

.custom-control {
    position: absolute;
    bottom: 0.25rem;
    right: 0;
}

@keyframes popup {
    0% {
        transform: scale(0);
    }

    50% {
        transform: scale(1.5);
    }

    100% {
        transform: scale(1);
    }
}

/* #widgets-list [data-uuid]{
    animation: popup 1s; 
} */